package es.ua.dlsi.prog3.exceptions;
/**
 * @author David Rizo
 */
public class NotAFileException extends Exception {
	private String fileName;
	private String folderName;

	public NotAFileException(String folderName, String fileName) {
		this.fileName = fileName;
		this.folderName = folderName;
	}
	
	public String getMessage() {
		return "'" + fileName + "' in folder '" + folderName + "' is not a file";
	}
}
