package es.ua.dlsi.prog3.exceptions.mains;

import java.io.File;

import es.ua.dlsi.prog3.exceptions.FileUtilities;
/**
 * @author David Rizo
 */
public class FileUtilitiesApp {
	public static final void main(String [] args) {
		if (args.length < 1) {
			System.err.println("Missing command");
		} else {
			switch (args[0]) {
				case "-checkexistsfile":
					if (args.length != 3) {
						System.err.println("Use: FileUtilitiesApp -checkexistsfile <folder name> <file name>");
					} else {
						FileUtilities fu = new FileUtilities();
						File file = fu.getFileInDirectory(args[1], args[2], false);
						if (file != null) {
							System.out.println("File exists");
						} else {
							System.out.println("File does not exist");
						}
					}
					break;
			}
		}
	}
}
