package es.ua.dlsi.prog3.frameworks.carreras;

/**
 * Interfaz para definir un coche auxiliar
 * @author pierre
 *
 */
public interface ICocheAuxiliar {
	/**
	 * Indica si el coche está en pista o no
	 * @return true si el coche está en pista, falso en caso contrario.
	 */
	boolean en_pista ();
	/**
	 * Cambia la situación del coche. Si estaba en pista lo saca de pista y viceversa.
	 */
	void toggle ();
}
