package es.ua.dlsi.prog3.frameworks.carreras;

/**
 * Interfaz para definir un vehículo participante en la carrera
 * @author pierre
 *
 */
public interface ICorredor {
	/**
	 * Dar una vuelta al circuito. 
	 * Como mínimo imprimirá una línea por la salida estándar
	 * indicando de qué coche se trata y cuantas vueltas lleva completadas
	 */
	void dar_vuelta ();
}
