package es.ua.dlsi.prog3.frameworks.opscjtos;

import es.ua.dlsi.prog3.frameworks.opsbinarias.Aplicacion;

/** Implementación de operaciones con conjuntos mediante el framework es.ua.dlsi.prog3.frameworks.opsbinarias.
 * Véase OperadorCjtoCads y OperandoCjtoCads para más información
 * 
@author drizo
 **/
public class AplicationOpsCjtos extends Aplicacion<OperandoCjtoCads, OperadorCjtoCads> {
	/**
	 * Programa principal
	 * @param args no se usa
	 */
	public static void main(String[] args) {
		// Fíjate en que la creación de este objeto hace que se lance el proceso 
		// es.ua.dlsi.prog3.frameworks.opsbinarias.Aplicacion.run()
		new AplicationOpsCjtos();
	}
	
	/**
	 * @{inheritDoc}
	 */
	@Override
	public OperadorCjtoCads creaOperador() {
		return new OperadorCjtoCads();
	}

	/**
	 * @{inheritDoc}
	 */
	@Override
	public OperandoCjtoCads creaOperando() {
		return new OperandoCjtoCads();
	}
}
