package es.ua.dlsi.prog3.frameworks.opsenteros;

import es.ua.dlsi.prog3.frameworks.opsbinarias.Aplicacion;

/** Implementación de operaciones con enteros mediante el framework es.ua.dlsi.prog3.frameworks.opsbinarias.
 * Véase OperadorEntero y OperandoEntero para más información
 * 
@author drizo
 **/
public class AplicationOpsEnteros extends Aplicacion<OperandoEntero, OperadorEntero> {
	/**
	 * Programa principal
	 * @param args no se usa
	 */
	public static void main(String[] args) {
		// Fíjate en que la creación de este objeto hace que se lance el proceso 
		// es.ua.dlsi.prog3.frameworks.opsbinarias.Aplicacion.run()
		new AplicationOpsEnteros();
	}

	/**
	 * @{inheritDoc}
	 */
	@Override
	public OperadorEntero creaOperador() {
		return new OperadorEntero();
	}

	/**
	 * @{inheritDoc}
	 */
	@Override
	public OperandoEntero creaOperando() {
		return new OperandoEntero();
	}
}
