package es.ua.dlsi.prog3.generics;

import java.lang.reflect.Field;

public class BorradoDeTipos<T> 
{
	public T obj;
	public BorradoDeTipos() {
	}

	public T get() { return obj; }
	
	public static void main(String[] args) throws NoSuchFieldException, SecurityException, IllegalArgumentException, IllegalAccessException {
		BorradoDeTipos<Integer> b = new BorradoDeTipos<>();
		Class<?> clase = b.getClass();
		
		Field field = clase.getField("obj");
		
		field.set(b, new String("HOLA"));
		
		String s = (String) field.get(b);
		System.out.println(s);
		System.out.println(b.get()); // ¡¡¡muestra HOLA!!!
		// System.out.println(b.get().getClass()); // ClassCastException ¿?
		System.out.println(b.get().hashCode()); // ClassCastException ¿?
		// System.out.println(b.get().doubleValue()); // ClassCastException
		
		field.set(b, new Exception("TIPO BORRADO"));
		Exception e = (Exception) field.get(b);
		System.out.println(e.getMessage());
	}

}
