package es.ua.dlsi.prog3.inheritance;

/**
 * Forma bidimensional
 * @author pierre
 *
 */
public abstract class Forma {

	/**
	 * coordenada x
	 */
	int x; // de instancia
	/**
	 * coordenada y
	 */
    int y; // de instancia
	
    static int ESTATICO=0; // ejemplo de atributo de clase
	
    /**
     * Constructor sobrecargado
     * @param a coordenada x
     * @param b coordenada y
     */
	Forma(int a, int b) { this.x=a; this.y=b; } // de instancia 
	
	public int getX() { return this.x; } // método de instancia, enlace dinámico por defecto en Java
	public int getY() { return this.y; } // método de instancia, enlace dinámico por defecto en Java
	
	public static int getESTATICO() { return  ESTATICO; } // método de clase, enlace  estático
	
	/**
	 * Dibuja una forma  
	 */
	public abstract void pintar(); // método de instancia, abstracto, enlace dinámico
		
	/**
	 * representa una forma como cadena
	 */
	public abstract String toString();

	//public abstract static void repintar() ; // enlace estático y dinámico ?!?!?

}
