package es.ua.dlsi.prog3.inheritance;
import java.util.ArrayList;
import java.util.List;

/**
 * Demostración de herencia
 * @author pierre
 *
 */
public class Main {

	/** 
	 * Crea una lista de formas
	 * @param args no se usa
	 */
	public static void main(String[] args) {
		List<Forma> formas = new ArrayList<>();
	
		formas.add(new Circulo(2,3,4));
		formas.add(new Circulo(3,4,5));
		formas.add(new Triangulo(6,7,8,9,10));
		formas.add(new Isosceles(16,17,18,19));
		
		pintor(formas);

	}

	/** Pinta las formas en la salida estándar
	 * @param formas una lista de formas
	 */
	private static void pintor(List<Forma> formas) {
		for (Forma f : formas) {			
			f.pintar();
		}
		
		for (Forma f : formas) {			
			System.out.print(f.getESTATICO());
			System.out.print(Forma.getESTATICO());
			System.out.print(" - ");
			System.out.println(f.getX());
		}
		
		formas.get(0).ESTATICO = 10;

		for (Forma f : formas) {			
			System.out.print(((Circulo)f).getESTATICO());
			System.out.print(" - ");
			System.out.println(f.getX());
		}
	}

}
