package es.ua.dlsi.prog3.inheritance.construction;

public class Circulo extends Figura2D {
	private double radio;
	
	public Circulo() {
		super(); // llamada a Figura2D() explícita.
		radio=1.0;
	}
	
	public Circulo(Color col, double r) {
		super(col); // Figura2D(Color)
		radio=r;
	}
	
	public Circulo(Circulo c) {
		super( c ); // ¿¿¿ Figura2D(Circulo) ???
		radio=c.radio;
	}
	
	public void setRadio(double r) { radio=r; }
	
	public static final void main(String args[]) {
		//new Circulo();
		Circulo c = new Circulo(Color.AZUL, 1.0);
		Figura2D f = c;
		
		c.setRadio(0);
		f.setRadio(0);
		
		Object obj = c;
		obj.equals(f);
		
		System.out.println(3.5+6);
	}
}
