package es.ua.dlsi.prog3.inheritance.implementation.simple;

import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;

public class CuentaJoven extends Cuenta {

	private int edad;

	
	public CuentaJoven(String unNombre,int unaEdad, 
			double unSaldo, double unInteres)
	{ 
		super(unNombre,unSaldo,unInteres); 
		edad=unaEdad;
	}

	public CuentaJoven(CuentaJoven tcj) 
	// llamada explícita a constructor de copia de Cuenta.
	{ 
		super(tcj); 
		edad=tcj.edad; 
	}  

	@Override
	void abonarInteresMensual() { 
		//no interés si el saldo es inferior al límite
		if (getSaldo()>=10000) 
			super.abonarInteresMensual();
	}

	int getEdad() {return edad;}
	void setEdad(int unaEdad) {edad=unaEdad;}

	@Override
	public String toString(){
		String s = super.toString();
		return s + "Edad:"+edad;
	}	
	
	public static void visualiza(Cuenta c) {
		Cuenta.visualiza(c);		
	}

	public final static void main(String args[]) {
		CuentaJoven cj ;
			cj = new CuentaJoven("PEPE", 20, 0, 0);
		
		Cuenta c;
		c = cj;
		
		List<Cuenta> l = new LinkedList<>();
		l.add(c);
		
		//c = new Cuenta("JUAN",0,0);
		 
		c.abonarInteresMensual();
		
		cj = (CuentaJoven)c;
		c.setEdad(20);
		cj.setEdad(20);
		
		visualiza(c);
		visualiza(cj);
	}
	
	void f(List<Cuenta> l) {
		l.size();
		l.clear();
		l.contains(new Cuenta(null));
		
	}
}//fin clase CuentaJoven