/**
 * Demostración de varias formas de polimorfismo en herencia de implementación: 
 * upcasting, downcasting, enlace dinámico (sobrescritura)
 */
package es.ua.dlsi.prog3.inheritance.polymorphism;

/**
 * Un empleado es una persona que trabaja para una empresa
 * @author pierre
 *
 */
public class Empleado extends Persona {

	public Empleado(String n,String e)
	{  super(n); empresa=e; }

	@Override
	public String getDatos()
	{ return super.getDatos() + "trabaja en " + empresa; }

	/**
	 * Método nuevo añadido en esta subclase
	 * @return empresa del empleado
	 */
	public String getEmpresa() 
	{ return empresa; }
	
	private String empresa;

}
