/**
 * Demostración de refactorización, basado en el ejemplo del capítulo 1 de 
 * 'Refactoring. Improving the Design of Existing Code', de Martin Fowler.
 * 
 * Código refactorizado. Así debería quedar, más o menos, tu refactorización.
 */
package es.ua.dlsi.prog3.refactoring.videoclub.refactored;

public class PeliculaNormal extends Pelicula {

	public PeliculaNormal(String tit) {
		super(tit);
	}

	@Override
	public double getPrecio() {
		return 2;
	}

	@Override
	public int getMaxDiasAlquiler() {
		return 2;
	}

}
