package es.ua.dlsi.prog3.reflection;
import java.lang.reflect.Method;

/**
 * Demostración de cómo obtener acceso a un método por reflexión
 * 
 */
public class T29
{
    public static void main(String args[]) throws NoSuchMethodException { 
      Class c = Integer.class;
        // Obtener un método concreto
      Method m = c.getMethod("parseInt", new Class[] { String.class, int.class });
      System.out.println("Metodo "+m.getName()+" con tipo de retorno: "+m.getReturnType().getName());
      
      // T29
      System.out.println("Tipo de los parametros: ");
      Class[] parms = m.getParameterTypes();
      for (Class ptype : parms)
        System.out.println(ptype.getName());
    }
 }
