package es.ua.dlsi.prog3.reflection;
import java.lang.reflect.*;


/**
 * demostracíon de cómo crear objetos mediante reflexión, usando constructores sobrecargados
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */

class Coordenada {
  float x,y;
  public Coordenada(float xx, float yy)  {
      x=xx;
      y=yy;
  }
  public String toString() { return "("+x+","+y+")"; }
}

class Figura2D {}

class Circulo extends Figura2D {
	
  public Circulo(Coordenada c, float r) {
    System.out.println("Centro: "+c+", radio: "+r); 
  }
  
}

public class T34
{
  public static void main(String args[]) throws Exception {
    Class c1 = Class.forName("Circulo");
    Class[] paramTypes = new Class[] {Coordenada.class, float.class };
    Constructor m = c1.getConstructor( paramTypes );		
    Object[] arguments = new Object[] { new Coordenada(10,20), 30 };
    
    Figura2D c =  (Figura2D) m.newInstance(arguments);
    
  }
}
