package es.ua.dlsi.prog3.exceptions;
/**
 * @author David Rizo
 */
public class NotAFolderException extends Exception {
	private String folderName;

	public NotAFolderException(String folderName) {
		this.folderName = folderName;
	}
	
	public String getMessage() {
		return "'" + folderName + "' is not a folder";
	}
	
	String getFolderName() { return folderName; }
}
