package es.ua.dlsi.prog3.exceptions.simple;

import java.util.*;


public class  UD3_2_GestionErroresClasica {
	// En lugar de usar el valor de retorno para indicar error, intentamos indicar
	// en una variable aparte la condición de error
	enum ErrorCode { eNumeroNegativo, eCero, eOK };
	static ErrorCode errorCode;
	/** 
	 * Función con código spaguetti que detecta y trata errores
	 *
	 * Esta función solo admite números positivos o cero...
	 * @param a un número positivo
	 * @return a+1 o -1 si a no es positivo
	 */ 
    static int f(int a) {
        if (a<0) // error
        {
        	errorCode = ErrorCode.eNumeroNegativo;
            System.err.println("Error: num negativo");
            return -1;
        }
        else {
        	errorCode = ErrorCode.eOK;
        	return a+1;
        }
    }
    
    public static void main(String args[]) {
        
        int x = 10;
        
		// Código cliente que no comprueba si hay algún problema al invocar a f()
//		System.out.println("x = "+x+" f(x)= "+f(x));
//		System.out.println("x = "+x+" f(x)= "+f(-x));

		// Código cliente que comprueba si hay algún problema al invocar a f()
		int r = f(-x); // o f(-x);
		if ( errorCode == ErrorCode.eOK)
			System.out.println("x = "+x+" f(x)= "+r);
		else  // Problema: f() ya emite un mensaje... ¿Lo sabía el código cliente?
	        System.err.println("Detectado número negativo");
        

		// Moraleja:
		// ¿Hemos arreglado algo?
		//
		// ¡No! Tenemos exactamente los mismos problemas que antes!
    }
}