package es.ua.dlsi.prog3.exceptions.simple;

import java.util.*;

/**
 * Captura de excepciones lanzadas por métodos de la API de Java
 * @author pierre
 *
 */
public class UD3_3_CapturaDeExcepcion_1 {

	public static void main(String[] args) {
        List<Integer> l = new ArrayList<>();
        Integer z=null;
        try {
            z = l.get(1); // es posible que get() lance una excepción IndexOutOfBoundsException
            // Este código hasta el final del try está protegido. Si se lanza la excepción no se ejecutará
            System.out.println("z= "+z.intValue());
        } catch (IndexOutOfBoundsException ex) {
            System.err.println("Error: "+ex.getMessage());
            ex.printStackTrace();
        }
	}
}
