package es.ua.dlsi.prog3.frameworks.carreras.formula1;

import es.ua.dlsi.prog3.frameworks.carreras.Vehiculo;

/**
 * Coche de carreras
 * @author pierre
 *
 */
public class Coche extends Vehiculo {

	/**
	 * Numero de vueltas completadas por este vehículo
	 */
	protected int nvueltas;

	/**
	 * Da una vuelta al circuito
	 */
	public void dar_vuelta() {
	  nvueltas++;
	  System.out.println(this.getClass().getSimpleName()+
	    "[" +get_marca()+ 
	    "], vuelta " +nvueltas);
	}

	/**
	 * Constructor
	 * @param m marca del coche
	 */
	public Coche(String m) {
		super(m);
	}

}
