package es.ua.dlsi.prog3.frameworks.opsbinarias;
/**
 * Interfaz que representa un operando
 * @author drizo
 **/
public interface IOperando {
	/**
	 * Devuelve una representación en forma de cadena del operando
	 * @return representación en forma de cadena del operando
	 */
	String toString();
	/**
	 * Lee de una cadena la representación de un operando
	 * @param cadena cadena que contiene la representación de un operando
	 * @throws ExcepcionFramworkOps si no se puede leer la representación del operando desde la cadena proporcionada
	 */
	void lee(String cadena) throws ExcepcionFramworkOps;
}
