package es.ua.dlsi.prog3.generics;

/**
 * Demostración de una clase genérica con más de un tipo genérico
 * @author pierre
 *
 * @param <K> Clave
 * @param <V> Valor
 */
public class Pair<K, V> {

		
		private K key;
	    private V value;

	    public Pair(K key, V value) {
	        this.key = key;
	        this.value = value;
	    }

	    public void setKey(K key) { this.key = key; }
	    public void setValue(V value) { this.value = value; }
	    public K getKey()   { return key; }
	    public V getValue() { return value; }
}
