package es.ua.dlsi.prog3.generics.methods;

import es.ua.dlsi.prog3.inheritance.implementation.simple.Cuenta;

/**
 * Demostración de definición de un método genérico
 * @author pierre
 *
 */
public class GenericMethod {

	public GenericMethod() {
	}

	/**
	 * Método genérico.
	 * @param a primer parámetro
	 * @param b segundo parámetro
	 */
	public static <T> void imprimeDos(T a, T b)
	  {
	    System.out.println( 
	       "Primero: "   + a.toString() + 
	       " y Segundo:" + b.toString() );
	  }
	
	/**
	 * Programa principal
	 * @param args no se usa
	 */
	public static void main(String[] args) {
		Cuenta a = new Cuenta();
		Cuenta b = new Cuenta();
		imprimeDos(a,b);

	}

}
