package es.ua.dlsi.prog3.generics.pair;

/**
 * Demostracíon de un interfaz genérico con dos argumentos de tipo
 * @author pierre
 *
 * @param <K> clave
 * @param <V> valor
 */
public interface Pair<K, V> {
	/**
	 * Obtiene la clave
	 * @return la clave
	 */
    public K getKey();
    /**
     * Obtiene el valor asociado a la clave
     * @return el valor
     */
    public V getValue();
}
