/**
 * 
 */
package es.ua.dlsi.prog3.generics.restricted;

/**
 * Un Box<T> que implementa Comparable<T>
 * @author pierre
 *
 */
public class ComparableBox<T> extends Box<T> implements Comparable<T> {

	/**
	 * Constructor por defecto
	 */
	public ComparableBox() {
	}

	@Override
	public void set(T obj) {
		if (obj instanceof Comparable)
			super.set(obj);
		else throw new IllegalArgumentException();
	}
	
	
	public int compareTo(T obj) {
		Comparable<T> este = (Comparable<T>) get();
		return este.compareTo(obj);
	}
}
