package es.ua.dlsi.prog3.inheritance;

/**
 * Triangulo especificado por un vértice y las longitudes de sus tres lados
 * @author pierre
 *
 */
public class Triangulo extends Forma {

	int lado1, lado2, lado3;
	
	public Triangulo(int a, int b, int l1, int l2, int l3) {
		super(a, b);
		lado1=l1;
		lado2=l2;
		lado3=l3;
	}

	@Override
	public void pintar() {
		System.out.println("TRIANGULO: ("+x+", "+y+", <"+lado1+","+lado2+","+lado3+">)");
	}

	@Override
	public String toString() { return "<"+lado1+","+lado2+","+lado3+">"; }


}
