/**
 * Demonstración de herencia simple de interfaz
 */
package es.ua.dlsi.prog3.inheritance.interfaz;

/**
 * Entero implementa Comparable<T>
 * @author pierre
 *
 */
public class Entero implements Comparable<Entero> {
	  private int n; 

	  public Entero(int i) { n=i; }

	/**
	 * Método a implementar. Vease la documentación de Comparable<T> 
	 * en el API de Java
	 */
	@Override
	public int compareTo(Entero e) {
	    if (e.n > n) return -1;
	    else if (e.n == n) return 0;
	    return 1;
	}


}
