/**
 * Demostración de varias formas de polimorfismo en herencia de implementación: 
 * upcasting, downcasting, enlace dinámico (sobrescritura)
 */
package es.ua.dlsi.prog3.inheritance.polymorphism;

/**
 * Un estudiante es una persona con una carrera
 * @author pierre
 *
 */
public class Estudiante extends Persona {

	public Estudiante(String n,String c)
	{ super(n); carrera=c; }     

	@Override
	public String getDatos()
	{ return super.getDatos() + " estudia " + carrera; }

	private String carrera;
}
