/**
 * Demostración de refactorización, basado en el ejemplo del capítulo 1 de 
 * 'Refactoring. Improving the Design of Existing Code', de Martin Fowler.
 * 
 * Código original sin refactorizar
 */
package es.ua.dlsi.prog3.refactoring.videoclub.original;

public class Alquiler {

	private Pelicula pelicula;
	private int diasAlquiler;
	
	public Alquiler(Pelicula p, int dias) {
		pelicula=p;
		diasAlquiler=dias;
	}

	/**
	 * @return the pelicula
	 */
	public Pelicula getPelicula() {
		return pelicula;
	}

	/**
	 * @return the diasAlquiler
	 */
	public int getDiasAlquiler() {
		return diasAlquiler;
	}
	
}
