package es.ua.dlsi.prog3.reflection;

/**
 * Uso de Class.forName(String qualifiedName)
 * 
 * @author Pedro J. Ponce de León
 * @version 0.1
 */
public class T13
{
    public static void main(String args[]) {
    try
       {
    	// busca y carga la clase B, 
          // si no estaba ya cargada
          Class<?> c = Class.forName ("java.lang.String");
          System.out.println(c.getName());
    	// c apuntará a un objeto Class 
         // que representa a la clase B
          
          // HAZLO TÚ: Prueba a cargar una clase que esté en el CLASSPATH.
          // Debes usar el 'nombre cualificado' de la clase, incluyendo el paquete
          // donde se encuentra. P. ej.: java.lang.Integer
       }
       catch (ClassNotFoundException e)
       { // B no existe, es decir,
         // no está en el CLASSPATH
          e.printStackTrace ();
       }
    }
}