package es.ua.dlsi.prog3.reflection;
import java.lang.reflect.*;
import java.util.regex.*;


/**
 * Write a description of class T18 here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class T18
{
  private static String usage =
    "usage:\n" +
    "ShowMethods qualified.class.name\n" +
    "To show all methods in class or:\n" +
    "ShowMethods qualified.class.name word\n" +
    "To search for methods involving 'word'";

  private static Pattern p = Pattern.compile("\\w+\\.");

  public static void main(String[] args) {
    if(args.length < 1) {
      System.err.println(usage);
      System.exit(0);
    }
    int lines = 0;
    
    
    try {
      Class c = Class.forName(args[0]);

      System.out.println("Nombre: "+c.getName());
      System.out.println("Es interfaz: "+c.isInterface());
      System.out.println("Es array: "+c.isArray());      
      System.out.println("Clase base: "+c.getSuperclass().getName());
      System.out.print("Interfaces base: ");
      Class[] ifaces = c.getInterfaces();
      for (Class ifc : ifaces)
        System.out.print(" "+ifc.getName());
      System.out.println();
      try {
        Object entero = c.newInstance();
        System.out.println("Un objeto "+entero.getClass().getCanonicalName());
      } catch (Exception ex) {
         System.out.println(ex);
      }
      
    // Muestra los métodos de una clase
      // getMethods(), getConstructors()
      Method[] methods = c.getMethods();
      Constructor[] ctors = c.getConstructors();
      
      if(args.length == 1) {
    	  
        for(Method method : methods)
          System.out.println( method.toString());
        
        for(Constructor ctor : ctors)
          System.out.println(p.matcher(ctor.toString()).replaceAll(""));
        lines = methods.length + ctors.length;
      } else {
        for(Method method : methods)
          if(method.toString().indexOf(args[1]) != -1) {
              System.out.println(p.matcher(method.toString()).replaceAll(""));
              lines++;
          }
        for(Constructor ctor : ctors)
          if(ctor.toString().indexOf(args[1]) != -1) {
              System.out.println(p.matcher(ctor.toString()).replaceAll(""));
            lines++;
          }
      }
      
        
    } catch(ClassNotFoundException e) {
      System.err.println("No such class: " + e);
    //} catch(NoSuchMethodException ex) {
    //  System.err.println("No such class: " + ex);
    }
 
  }
}
