package es.ua.dlsi.prog3.reflection;
import java.lang.reflect.*;

/**
 * Demostración de cómo acceder a un atributo y a su valor por reflexión
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */

class Publica {
  public int x = 10;
  public String s = "DIEZ";
}

public class T35_38
{


  public static void main(String args[]) throws Exception {
    Class c = System.class;
    
    Field[] atribs = c.getFields();
    Field f1 = c.getField("out");
    
    for (Field f : atribs) 
      System.out.println("Atributo "+f.getName());
    
    System.out.println("--- "+f1.getName());
    System.out.println("Tipo: "+f1.getType().getName());
    System.out.println("Declarado en: "+f1.getDeclaringClass().getName());
    System.out.println("Modificadores: "+Modifier.toString(f1.getModifiers()));
    System.out.println("Valor: "+f1.get(null));
  
    Object d = new Publica();
	Field f = d.getClass( ).getField( "x" );
	System.out.println( f.get( d ) );
	f = d.getClass( ).getField( "s" );
	System.out.println( f.get( d ) );
    
    
  }
}
