package es.ua.dlsi.prog3.refactoring.videoclub.original;

import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;

public class AlquilerTest {

	Alquiler alq1;
	Pelicula peli;
	
	@Before
	public void setUp() throws Exception {
		peli = new Pelicula("GRAVITY", Pelicula.NORMAL);
	}

	@Test
	public final void testCtorAlquiler1() {
		alq1 = new Alquiler(peli, 1);
		assertSame(peli, alq1.getPelicula());	
	}

	@Test
	public final void testCtorAlquiler2() {
		alq1 = new Alquiler(peli, 1);
		assertEquals(1, alq1.getDiasAlquiler());	
	}

}
