package es.ua.dlsi.prog3.refactoring.videoclub.original;

import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;

public class PeliculaTest {

	Pelicula p1, p2, p3;
	
	@Before
	public void setUp() throws Exception {
		p1 = new Pelicula("SHREK", Pelicula.INFANTIL);
		p2 = new Pelicula("STAR WARS XXX", Pelicula.ESTRENO);
		p3 = new Pelicula("LOS PUENTES DE MADISON", Pelicula.NORMAL);
	}

	@Test
	public final void testCtorPelicula1() {
		assertEquals("SHREK", p1.getTitulo());
	}

	@Test
	public final void testCtorPelicula2() {
		assertEquals(Pelicula.INFANTIL, p1.getCodigoPrecio());
	}
	
	@Test
	public final void testSetCodigoPrecio() {
		p1.setCodigoPrecio(Pelicula.ESTRENO);
		assertEquals(Pelicula.ESTRENO, p1.getCodigoPrecio());
	}

}
